SMAPObservations {SMAP} | R Documentation

## Constructor for "SMAPObservations" objects

### Description

A constructor for `SMAPObservations-class` objects.

### Usage

    SMAPObservations(value, chromosome, startPosition, endPosition,
                     name=character(0),
                     reporterId=as.character(1:length(value)))

### Arguments

`value` | A vector of microarray intensity ratios (numeric).
`chromosome` | A vector of chromosome annotations (character).
`startPosition` | A vector of start positions (numeric).
`endPosition` | A vector of end positions (numeric).
`name` | The name of the observation set (character).
`reporterId` | A vector of observation identifiers, e.g., probe ids (character).

### Details

The vectors `value`, `chromosome`, `startPosition`, `endPosition`, and `reporterId` must be of equal length.

### Value

An object of class `SMAPObservations-class`.

### Author(s)

Robin Andersson, robin.andersson@lcb.uu.se

### References

Andersson, R., Bruder, C. E. G., Piotrowski, A., Menzel, U., Nord, H., Sandgren, J., Hvidsten, T. R., Diaz de Stahl, T., Dumanski, J. P., Komorowski, J., A Segmental Maximum A Posteriori Approach to Array-CGH Copy Number Profiling, submitted

### See Also

`smap`, `SMAPObservations-class`, `SMAPHMM-class`

### Examples

    ## Load Glioblastoma multiforme data
    data(GBM)
    observations <- SMAPObservations(value=as.numeric(GBM[,2]),
                                     chromosome=as.character(GBM[,3]),
                                     startPosition=as.numeric(GBM[,4]),
                                     endPosition=as.numeric(GBM[,5]),
                                     name="G24460",
                                     reporterId=as.character(GBM[,1]))
    ## plot observations
    plot(observations, ylim=c(0,2))
    ## plot subset of observations (chromosome 9)
    ids <- which(chromosome(observations) == "9")
    plot(observations[ids])

[Package SMAP version 1.6.0 Index]